INTERFACE
SUBROUTINE VERTDISC_TL(pwl, ptray550_vertin, ptaer_vertin, ptaer_vertind,&
 & phasel_in, phasel_ind, piz_in, piz_ind, ptaer_vert, ptaer_vertd,&
 & ptray_vert, phasel, phaseld, piz, pizd) 
 USE PARKIND1 ,ONLY : JPIM ,JPRB
 USE rt6svalues
 REAL(KIND=JPRB), INTENT(IN) :: pwl(kwl)
 REAL(KIND=JPRB), INTENT(IN) :: ptray550_vertin(klon, 0:klev),&
 & ptaer_vertin(klon, 0:klev, kwl) 
 REAL(KIND=JPRB), INTENT(IN) :: ptaer_vertind(klon, 0:klev, kwl)
 REAL(KIND=JPRB), INTENT(IN) :: phasel_in(klon, 0:klev, kwl, knbmu),&
 & piz_in(klon, 0:klev, kwl) 
 REAL(KIND=JPRB), INTENT(IN) :: phasel_ind(klon, 0:klev, kwl, knbmu),&
 & piz_ind(klon, 0:klev, kwl) 
 REAL(KIND=JPRB), INTENT(OUT) :: ptaer_vert(klon, 0:knt, kwl),&
 & ptray_vert(klon, 0:knt, kwl) 
 REAL(KIND=JPRB), INTENT(OUT) :: ptaer_vertd(klon, 0:knt, kwl)
 REAL(KIND=JPRB), INTENT(OUT) :: phasel(klon, 0:knt, kwl, knbmu), piz(&
 & klon, 0:knt, kwl) 
 REAL(KIND=JPRB), INTENT(OUT) :: phaseld(klon, 0:knt, kwl, knbmu),&
 & pizd(klon, 0:knt, kwl) 
END SUBROUTINE VERTDISC_TL
END INTERFACE
